[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageReplications;
    localvar={
	.headers="\u4e3b\u6a5f\u540d\u7a31";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="\u8907\u88fd\u4e3b\u6a5f";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="\u4e3b\u6a5f\u540d\u7a31";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .ipaddress.space=20;
  .port.space=60;
  .field.height=30;
  .label.left.size=60;
  .label.size=75;

  .out.enabled="\u555f\u7528\u5916\u9001\u8a0e\u8ad6\u5340";
  .out.send = "\u50b3\u9001\uff1a ";
  .out.discussiongroups = "\u8a0e\u8ad6\u7fa4\u7d44\uff1a ";
  .out.items=["\u6240\u6709\u8a0e\u8ad6\u7fa4\u7d44","\u7121\u8a0e\u8ad6\u7fa4\u7d44","\u6307\u5b9a\u7684\u8a0e\u8ad6\u7fa4\u7d44","\u9664\u4e86\u6307\u5b9a\u7684\u8a0e\u8ad6\u7fa4\u7d44"];
  .out.internalhost = "\u5c07\u9060\u7aef\u4e3b\u6a5f\u6307\u5b9a\u70ba\u5167\u90e8\u4e3b\u6a5f";
  .conn.host="\u9060\u7aef\u4e3b\u6a5f\u540d\u7a31\uff1a";
  .conn.domain="\u7db2\u57df\uff1a";
  .conn.ip="IP \u4f4d\u5740\uff1a";
  .conn.port="\u9023\u63a5\u57e0\uff1a";
  .conn.maxreaders="\u6700\u5927\u4f7f\u7528\u8005\u6578\uff1a";
  .conn.maxfeeds="\u6700\u5927\u8a0e\u8ad6\u5340\u6578\uff1a";
  .conn.timeout="\u903e\u6642\uff1a";
  .conn.user="\u4f3a\u670d\u5668\u4f7f\u7528\u8005\uff1a";
  .conn.port="\u9060\u7aef\u4f3a\u670d\u5668\u9023\u63a5\u57e0\uff1a";
  .conn.port.userdefine = "\u4f7f\u7528\u6b64\u9023\u63a5\u57e0\uff1a";
  .conn.port.default = "\u4f7f\u7528\u9023\u63a5\u57e0 119 (\u8207\u6b64\u4f3a\u670d\u5668\u76f8\u540c)";
  .conn.ssl = "\u5916\u9001\u9023\u7dda\u7684 SSL \u8a2d\u5b9a\uff1a";
  .conn.ssl.ofserver = "\u4f7f\u7528\u6b64\u4f3a\u670d\u5668\u7684 SSL \u8a2d\u5b9a";
  .conn.ssl.remotessl = "\u9060\u7aef\u4f3a\u670d\u5668\u4f7f\u7528 SSL";
  .conn.ssl.remotenossl = "\u9060\u7aef\u4f3a\u670d\u5668\u4e0d\u4f7f\u7528 SSL";
  .conn.replica="\u5c07\u9060\u7aef\u4e3b\u6a5f\u6307\u5b9a\u70ba\u540c\u6b65\u526f\u672c";
  .conn.replicavalue=false;

  .in.active = "\u555f\u7528\u6536\u53d6\u7684\u8a0e\u8ad6\u5340";
  .in.newgroup = "\u63a5\u53d7\u7fa4\u7d44\u7684\u65b0\u7fa4\u7d44\u63a7\u5236\u6587\u7ae0\uff1a ";
  .in.newgroup.action = "\u7576\u65b0\u7fa4\u7d44\u63a7\u5236\u6587\u7ae0\u5230\u9054\u6642\uff1a ";
  .in.newgroup.choices = ["\u5efa\u7acb\u7fa4\u7d44", "\u5411\u7ba1\u7406\u54e1\u50b3\u9001\u96fb\u5b50\u90f5\u4ef6","\u5efa\u7acb\u65e5\u8a8c\u9805\u76ee","\u5ffd\u7565" ];
  .in.rmgroup = "\u63a5\u53d7\u7fa4\u7d44\u7684\u65b0\u7fa4\u7d44\u63a7\u5236\u6587\u7ae0\uff1a ";
  .in.rmgroup.action = "\u7576\u65b0\u7fa4\u7d44\u63a7\u5236\u6587\u7ae0\u5230\u9054\u6642\uff1a ";
  .in.rmgroup.choices = ["\u5efa\u7acb\u7fa4\u7d44", "\u5411\u7ba1\u7406\u54e1\u50b3\u9001\u96fb\u5b50\u90f5\u4ef6","\u5efa\u7acb\u65e5\u8a8c\u9805\u76ee","\u5ffd\u7565" ];


  .rest.title=[titled, "\u9023\u7dda\u9650\u5236"];
  .rest.require.login="\u9023\u7dda\u6642\u8a8d\u8b49\u4f7f\u7528\u8005";
  .rest.hcl.enable="\u555f\u7528\u4e3b\u6a5f\u9650\u5236";
  .rest.hcl.table.perm.header="\u6b0a\u9650";
  .rest.hcl.table.patt.header="\u4e3b\u6a5f\u578b\u6a23";
  .rest.hcl.perm.labels=["\u5141\u8a31", "\u62d2\u7d55"];
  .rest.hcl.perm.items=["+", "-"];

  .service.nntp.service.user=nsnews;
  .service.nntp.network.servername="andy.mcom.com";
  .service.nntp.network.domain="mcom.com";
  .service.nntp.network.port=119;
  .service.nntp.network.maxreaders=50;
  .service.nntp.network.maxfeeds=10;
  .service.nntp.network.timeout=240;
  .service.nntp.network.dohostcontrol="true";
  .service.nntp.network.requirelogin="true";
  .service.nntp.network.ipaddress="";
  .service.nntp.network.accepthosts=
  [
    ["+", "*.mcom.com"],
    ["+", "*.netscape.com"],
    ["-", "*.microsoft.com"]
  ];
};

content=
[
  { /* Hostname panel */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* host name label */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.conn.host;
            id=connhost;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* host name textfield */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$hostname;
          } /* End name textfield */
        ]
      }
    ]
  }, /* End Hostname Panel */
  { /* seperated component space */
    ctrl=vstrut;
    size=$.g.comp.space.sep;
  },
  {
    ctrl=togglepane;
    text=$.conn.replica;
    val=$replica;
    modeinverse=true;
    content =
    [
      { /* start of Outgoing settings frame */
        ctrl=togglepane;
        text=$.out.enabled;
        val=$outgoing;
        /*ctrl=pane;
        border=$.conn.title;*/
        content=
        [ /* start of conn. settings contents */

          { /* pane containing seperated left and right input fields */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* pane containing seperated left and right input fields */

              { /* input fields that are on the left */
                ctrl=pane;
                layout=[ybox];
                content=
                [ /* contents in left input fields */

                  { /* Start of Send: Combo boxe */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of host name */
                      { /* Send label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.send;
                        id=connhost;
                        label=hostname;
                      }, /* host name label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Send discussion group choice */
                        ctrl=choice;
                        items = $.out.items;
                        aligny=0.5;
                        label=hostname;
                        val=$sendtype;
                      } /* Send discussion group choice */
                    ] /* host name contents */
                  }, /* End of hostname field */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Domain */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of Discussion group regular expression text field */
                      { /* Discussion groups */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.discussiongroups;
                        id=conndomain;
                        label=domain;
                      }, /* Domain label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Discussion group regular expression textfield */
                        ctrl=text;
                        aligny=0.5;
                        label=domain;
                        val=$sendpattype;
                      } /* Discussion group regular expression textfield */
                    ] /* Discussion group contents */
                  }, /* End of Discussion group */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Feed Port */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of port */
                      { /* port label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.conn.port;
                        id=connip;
                        label=ipaddress;
                      }, /* port label */
                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */
                      {
                        ctrl=text;
                        aligny=0.5;
                        label=outgoingport;
                        val=$outport;
                      }
                     ]
                  },
                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  { /* SSL Settings */
                    ctrl=choice;
                    style=radio;
                    items=["\u4f7f\u7528\u6b64\u4f3a\u670d\u5668\u7684 SSL \u8a2d\u5b9a","\u9060\u7aef\u4f3a\u670d\u5668\u4f7f\u7528 SSL","\u9060\u7aef\u4f3a\u670d\u5668\u4e0d\u4f7f\u7528 SSL"];
                    /*labels=["\u4f7f\u7528\u6b64\u4f3a\u670d\u5668\u7684 SSL \u8a2d\u5b9a","\u9060\u7aef\u4f3a\u670d\u5668\u4f7f\u7528 SSL","\u9060\u7aef\u4f3a\u670d\u5668\u4e0d\u4f7f\u7528 SSL"];*/
                    val=$ssl;
                  },
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  {
                    ctrl=togglepane;
                    text=$.out.internalhost;
                    val=$internal;
                  }
                ] /* contents in left input fields */
              } /* input fields that are on the left */

            ] /* pane containing seperated left and right input fields */
          } /* pane containing seperated left and right input fields */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */
      { /* seperated component space */
        ctrl=vstrut;
        size=$.g.comp.space.sep;
      },
      { /* Start of incoming settings */
        ctrl=togglepane;
        text=$.in.active;
        val=$incoming;
        content=
        [ /* newgroup control article */
          {
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* newgroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$newgrouppat;
                  } /* newgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup.action;
                    val=$.service.nntp.network.requirelogin;
                  }, /* When newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When newgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.newgroup.choices;
                    val=$newgroupaction;
                  } /* newgroup textbox */
                ]
              }

            ]
          },
          { /* rmgroup contents */
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* rmroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$rmgrouppat;
                  } /* rmgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup.action;
                    val=$rmgroupaction;
                  }, /* When rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When rmgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.rmgroup.choices;
                    val=$.service.nntp.network.dohostcontrol;
                  } /* rmgroup textbox */
                ]
              }

            ]
          }

        ] /* restrictions group contents */
      } /* End of connection restrictions group */

    ] /* END OF TOGGLE REPLICA PANEL */
  }

]; /* network panel contents */

} /* network panel spec */
]
